services:
  nodecast-tv:
    build: .
    container_name: nodecast-tv
    ports:
      - "3500:3000"
    volumes:
      - ./data:/app/data
    restart: unless-stopped
    environment:
      - NODE_ENV=production
      - PORT=3000 # Internal container port
